package com.ynet.life.platform.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.platform.limit.CbLimitAccProcessor;
import com.ynet.life.platform.limit.a;
import java.sql.Connection;

/* loaded from: com_ynet_life_platform_action.jar:com/ynet/life/platform/action/CbLimitAccProcessAction.class */
public class CbLimitAccProcessAction extends LifeJDBCAction {
    private String actionType;
    private String typeField;
    private String bankIdField;
    private String channelField;
    private String currencyTypeField;
    private String cstNoField;
    private String accNoField;
    private String singleLimitField;
    private String singleLimitSttField;
    private String daySumLimitField;
    private String daySumLimitSttField;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Throwable, java.sql.Connection] */
    public String execute(Context context) throws GENEException {
        ?? connection = LifeDBAccess.getConnection(context);
        try {
            try {
                if ("Q".equals(this.actionType)) {
                    executeQuery(context, connection);
                } else if ("U".equals(this.actionType)) {
                    executeUpdate(context, connection);
                } else if ("I".equals(this.actionType)) {
                    executeInsert(context, connection);
                }
                LifeDBAccess.releaseConnection((Connection) connection);
                return "0";
            } catch (TranFailException e) {
                throw connection;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection((Connection) connection);
            throw th;
        }
    }

    private void executeQuery(Context context, Connection connection) throws GENEException {
        a info = new a();
        info.a((String) context.getDataValue(this.typeField));
        info.b((String) context.getDataValue(this.bankIdField));
        info.c((String) context.getDataValue(this.channelField));
        info.d((String) context.getDataValue(this.currencyTypeField));
        info.e((String) context.getDataValue(this.cstNoField));
        info.f((String) context.getDataValue(this.accNoField));
        CbLimitAccProcessor.a(connection, info);
        String singleLimit = info.g();
        String singleLimitStt = info.h();
        String daySumLimit = info.i();
        String daySumLimitStt = info.j();
        trySetContextValue(context, this.singleLimitField, singleLimit);
        trySetContextValue(context, this.singleLimitSttField, singleLimitStt);
        trySetContextValue(context, this.daySumLimitField, daySumLimit);
        trySetContextValue(context, this.daySumLimitSttField, daySumLimitStt);
    }

    private void executeUpdate(Context context, Connection connection) throws GENEException {
        a info = new a();
        info.a((String) context.getDataValue(this.typeField));
        info.b((String) context.getDataValue(this.bankIdField));
        info.c((String) context.getDataValue(this.channelField));
        info.d((String) context.getDataValue(this.currencyTypeField));
        info.e((String) context.getDataValue(this.cstNoField));
        info.f((String) context.getDataValue(this.accNoField));
        info.g((String) context.getDataValue(this.singleLimitField));
        info.h((String) context.getDataValue(this.singleLimitSttField));
        info.i((String) context.getDataValue(this.daySumLimitField));
        info.j((String) context.getDataValue(this.daySumLimitSttField));
        CbLimitAccProcessor.b(connection, info);
    }

    private void executeInsert(Context context, Connection connection) throws GENEException {
        String bankId = (String) context.getDataValue(this.bankIdField);
        String cstNo = (String) context.getDataValue(this.cstNoField);
        String accNo = (String) context.getDataValue(this.accNoField);
        CbLimitAccProcessor.a(connection, bankId, cstNo, accNo);
    }

    private void trySetContextValue(Context context, String fieldName, String value) throws GENEException {
        if (fieldName == null || "".equals(fieldName)) {
            return;
        }
        context.setDataValue(fieldName, value);
    }

    public String getActionType() {
        return this.actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getTypeField() {
        return this.typeField;
    }

    public void setTypeField(String typeField) {
        this.typeField = typeField;
    }

    public String getBankIdField() {
        return this.bankIdField;
    }

    public void setBankIdField(String bankIdField) {
        this.bankIdField = bankIdField;
    }

    public String getChannelField() {
        return this.channelField;
    }

    public void setChannelField(String channelField) {
        this.channelField = channelField;
    }

    public String getCurrencyTypeField() {
        return this.currencyTypeField;
    }

    public void setCurrencyTypeField(String currencyTypeField) {
        this.currencyTypeField = currencyTypeField;
    }

    public String getCstNoField() {
        return this.cstNoField;
    }

    public void setCstNoField(String cstNoField) {
        this.cstNoField = cstNoField;
    }

    public String getAccNoField() {
        return this.accNoField;
    }

    public void setAccNoField(String accNoField) {
        this.accNoField = accNoField;
    }

    public String getSingleLimitField() {
        return this.singleLimitField;
    }

    public void setSingleLimitField(String singleLimitField) {
        this.singleLimitField = singleLimitField;
    }

    public String getSingleLimitSttField() {
        return this.singleLimitSttField;
    }

    public void setSingleLimitSttField(String singleLimitSttField) {
        this.singleLimitSttField = singleLimitSttField;
    }

    public String getDaySumLimitField() {
        return this.daySumLimitField;
    }

    public void setDaySumLimitField(String daySumLimitField) {
        this.daySumLimitField = daySumLimitField;
    }

    public String getDaySumLimitSttField() {
        return this.daySumLimitSttField;
    }

    public void setDaySumLimitSttField(String daySumLimitSttField) {
        this.daySumLimitSttField = daySumLimitSttField;
    }
}
